<?php

declare(strict_types=1);

namespace App\Enum\Network;

use App\Enum\EnumMethodsTrait;

/**
 * Liste des cause de départ d'une structure dans un réseau.
 */
enum LeadingCauseEnum: string
{
    use EnumMethodsTrait;

    case DEPARTURE = 'DEPARTURE';
    case RADIATION = 'RADIATION';
    case DISSOLUTION = 'DISSOLUTION';
    case FUSION = 'FUSION';
    case OTHER = 'OTHER';
    case SLEEP = 'SLEEP';
}
